import request from '@/utils/request'

// 查询Excel模板列表
export function listSuppliesTemplate(query) {
  return request({
    url: '/SuppliesTemplate/SuppliesTemplate/list',
    method: 'get',
    params: query
  })
}

export function listSuppliesTemplateId(id) {
  return request({
    url: '/SuppliesTemplate/SuppliesTemplate/listId/' + id,
    method: 'get'
  })
}

// 查询Excel模板详细
export function getSuppliesTemplate(id) {
  return request({
    url: '/SuppliesTemplate/SuppliesTemplate/' + id,
    method: 'get'
  })
}

// 新增Excel模板
export function addSuppliesTemplate(data) {
  return request({
    url: '/SuppliesTemplate/SuppliesTemplate',
    headers:{
      repeatSubmit:false
    },
    method: 'post',
    data: data
  })
}

// 修改Excel模板
export function updateSuppliesTemplate(data) {
  return request({
    url: '/SuppliesTemplate/SuppliesTemplate',
    method: 'put',
    data: data
  })
}

// 删除Excel模板
export function delSuppliesTemplate(id) {
  return request({
    url: '/SuppliesTemplate/SuppliesTemplate/' + id,
    method: 'delete'
  })
}

// 展示Excel模板
export function delSuppliesSave(id) {
  return request({
    url: '/SuppliesTemplate/SuppliesTemplate/save/' + id,
    method: 'get'
  })
}



// 模板转换页面查询规则对应用友物料名称
export function getSuppliesName(name) {
  return request({
    url: '/ActSuppliesConvert/ActSuppliesConvert/saveSuppliesname/' + name,
    method: 'get'
  })
}
// 模板转换页面查询Excel模板列表
export function templateList(query) {
  return request({
    url: '/ActSuppliesConvert/ActSuppliesConvert/list',
    method: 'get',
    params: query
  })
}
// 模板转换页面查询Excel模板内容列表
export function templateListid(id) {
  return request({
    url: '/ActSuppliesConvert/ActSuppliesConvert/listid/' + id,
    method: 'get'
  })
}
// 模板转换页面查询规则列表
export function roleList(id) {
  return request({
    url: '/ActSuppliesConvert/ActSuppliesConvert/rolelist/' + id,
    method: 'get'
  })
}
// 模板转换页面查询规则详情列表
export function roleListid(id) {
  return request({
    url: '/ActSuppliesConvert/ActSuppliesConvert/rolelistid/' + id,
    method: 'get'
  })
}




// 查询规则列表
export function listRule(query) {
  return request({
    url: '/system/ruleManagement/list',
    method: 'get',
    params: query
  })
}
// 查询规则详情详细
export function getRule(id) {
  return request({
    url: '/system/ruleManagement/' + id,
    method: 'get'
  })
}
// 新增规则详情
export function addRuleManagement(data) {
  return request({
    url: '/system/ruleManagement/add',
    method: 'post',
    data: data
  })
}

// 修改规则详情
export function updateRuleManagement(data) {
  return request({
    url: '/system/ruleManagement/edit',
    method: 'put',
    data: data
  })
}
// 删除规则详情
export function delRuleManagement(id) {
  return request({
    url: '/system/ruleManagement/' + id,
    method: 'delete'
  })
}







// 查询模板列表
export function listMyluckyexcel(query) {
  return request({
    url: '/system/supplies/list',
    method: 'get',
    params: query
  })
}

// 查询模板详情详细
export function getMyluckyexcel(id) {
  return request({
    url: '/system/supplies/' + id,
    method: 'get'
  })
}

// 新增模板详情
export function addMyluckyexcel(data) {
  return request({
    url: '/system/supplies/save',
    method: 'post',
    data: data
  })
}

// 修改模板详情
export function updateMyluckyexcel(data) {
  return request({
    url: '/system/supplies/edit',
    method: 'put',
    data: data
  })
}
// 删除模板详情
export function delMyluckyexcel(id) {
  return request({
    url: '/system/supplies/' + id,
    method: 'delete'
  })
}

// 导出模板详情
/*export function exportMyluckyexcel(query) {
  return request({
    url: '/system/supplies/export',
    method: 'get',
    params: query
  })
}*/
